//Blinkender Pfeil
//LEDs an PA0..PA6
//24.05.2012

#include "HT46F47E.h"

#pragma vector isr_4 @ 0x4
#pragma vector isr_8 @ 0x8
#pragma vector isr_c @ 0xc

//ISR for safequard
void isr_4(){} // external ISR
void isr_8(){} // timer/event 0
void isr_c(){} // timer/event 1

//initialize registers for safeguard
void safeguard_init(){
	_intc = 0;
	_tmrc = 0;
	_tmr = 0;
	_pac = 0xff; //input mode
	_pbc = 0xff;

}


unsigned char u;

void mydelay(unsigned int times){
	while(times--)	_delay(65000);
}

void main(){
	
	safeguard_init();
    
	_pac = 0; //set port A to output port
	_pa = 0; //zero port A (all light on)
	_eadi = 0;     //Kein Interupt
	_acsr = 1;    //AD-Clock = 1/8
	
while (1)
	{
		
_adcr = 8;      //nur B0 als ADC0, AdC0 gewaehlt
			_start=0;
			_start=1;       //AD-Start
			_start=0;
 			while (_eocb == 1);
 			u = _adrh;    // Aufloesung 8 Bit
 			u=255-u;
 			// Division durch 16
 			u=u/16;  // bzw. u=(u>>4);
 			// Wert von u legt Ein- und Auszustand der
 			// LEDs fest
 			 _pa=0b01111111; //Pfeil einschalten
 			 mydelay(u);
 			 _pa=0b00000000; //Pfeil ausschalten
 			 mydelay(u);
 			 }
}		




